# FoundationClasses
TKernel
Storage

# Storage_SequenceNodeOfSeqOfRoot Class Reference

`#include <Storage_SequenceNodeOfSeqOfRoot.hxx>`

Inheritance diagram for Storage_SequenceNodeOfSeqOfRoot:

[legend]

## Public Member Functions

| Storage_SequenceNodeOfSeqOfRoot (const Handle(Storage_Root)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_Storage_Root & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Storage_Root | myValue

## Constructor & Destructor Documentation

Storage_SequenceNodeOfSeqOfRoot::Storage_SequenceNodeOfSeqOfRoot | ( | const Handle(Storage_Root)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const Storage_SequenceNodeOfSeqOfRoot::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_Storage_Root& Storage_SequenceNodeOfSeqOfRoot::Value | ( |  | ) | const

## Field Documentation

Handle_Storage_Root Storage_SequenceNodeOfSeqOfRoot::myValue `[private]`

The documentation for this class was generated from the following file:

- Storage_SequenceNodeOfSeqOfRoot.hxx